<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : trace.xsl
    Created on : April 2, 2010, 5:03 AM
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" doctype-public="XSLT-compat"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>Seznam počítačů</title>
            </head>
            <body>
                <nav>
                    <xsl:apply-templates mode="nav"/>
                </nav>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="pocitac" mode="nav">
        <xsl:element name="a">
            <xsl:attribute name="href">#<xsl:value-of select="./@ip"/></xsl:attribute>
            Počítač <xsl:value-of select="./@ip"/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="pocitac">
        <xsl:element name="section">
            <xsl:attribute name="id">
                <xsl:value-of select="./@ip"/>
            </xsl:attribute>
            <header>
                <xsl:element name="a">
                    <xsl:attribute name="id"><xsl:value-of select="./@ip"/></xsl:attribute>
                </xsl:element>
                <h2>Počítač <xsl:value-of select='./@ip'/></h2>
            </header>
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="cpu">
        <section class="cpu">
            <header>
            <h3>CPU:</h3>
            </header>
            <p>
            <xsl:value-of select="."/>
            </p>
        </section>
    </xsl:template>

    <xsl:template match="hdd">
        <section class="hdd">
            <header>
                <h3>HDD:</h3>
            </header>
            <p>
                <xsl:value-of select="."/> MB
            </p>
        </section>
    </xsl:template>

    <xsl:template match="pamet">
        <section class="pamet">
            <header>
                <h3>Paměť:</h3>
            </header>
            <xsl:value-of select="."/> MB
        </section>
    </xsl:template>

    <xsl:template match="komponenty">
        <section class="komponenty">
            <header>
                <h3>Další komponenty:</h3>
            </header>
            <xsl:apply-templates/>
        </section>
    </xsl:template>

    <xsl:template match="komponenta">
        <section class="komponenta">
            <header>
                <h4><xsl:value-of select="@typ"/></h4>
            </header>
            <p>
                <xsl:value-of select="."/>
            </p>
        </section>
    </xsl:template>
</xsl:stylesheet>
