<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : xhtmltrace.xsl
    Created on : April 2, 2010, 5:42 AM
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-prefixes="">
    <xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
    indent="yes"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>Seznam počítačů</title>
            </head>
            <body>
                <div id="nav">
                    <xsl:apply-templates mode="nav"/>
                </div>
                <div id="data">
                    <xsl:apply-templates/>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="pocitac" mode="nav">
        <xsl:element name="a">
            <xsl:attribute name="href">#<xsl:value-of select="@ip"/></xsl:attribute>
            Počítač <xsl:value-of select="@ip"/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="pocitac">
        <div class="pocitac">
            <xsl:element name="a">
                <xsl:attribute name="name"><xsl:value-of select="@ip"/></xsl:attribute>
            </xsl:element>
            <h2>Počítač s IP <xsl:value-of select="@ip"/></h2>
            <xsl:apply-templates select="./cpu"/>
            <xsl:apply-templates select="./pamet"/>
            <xsl:apply-templates select="./hdd"/>
            <xsl:apply-templates select="./komponenty"/>
        </div>
    </xsl:template>

    <xsl:template match="cpu">
        <div class="cpu">
            <h3>CPU:</h3>
            <xsl:value-of select="."/>
        </div>
    </xsl:template>

    <xsl:template match="pamet">
        <div class="pamet">
            <h3>Paměť:</h3>
            <xsl:value-of select="."/> MB
        </div>
    </xsl:template>

    <xsl:template match="hdd">
        <div class="hdd">
            <h3>HDD:</h3>
            <xsl:value-of select="."/> MB
        </div>
    </xsl:template>

    <xsl:template match="komponenty">
        <div class="komponenty">
            <h3>Další komponenty:</h3>
            <xsl:apply-templates/>
        </div>
    </xsl:template>

    <xsl:template match="komponenta">
        <div class="komponenta">
            <h4><xsl:value-of select="@typ"/>:</h4>
            <xsl:value-of select="."/>
        </div>
    </xsl:template>
</xsl:stylesheet>
